Package org.apache.sling.resourceresolver.impl.observation

# Class BasicObserverConfiguration

java.lang.Object
org.apache.sling.resourceresolver.impl.observation.BasicObserverConfiguration

All Implemented Interfaces:
  `org.apache.sling.spi.resource.provider.ObserverConfiguration`

public class BasicObserverConfiguration extends Object implements org.apache.sling.spi.resource.provider.ObserverConfiguration
Implementation of a `ObserverConfiguration`

## Constructor Summary

Constructors
Constructor
Description
`BasicObserverConfiguration(org.apache.sling.api.resource.path.PathSet set)`
`BasicObserverConfiguration(org.apache.sling.api.resource.path.PathSet paths, Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType> types, boolean isExternal, org.apache.sling.api.resource.path.PathSet excludePaths, Set<String> propertyNamesHint)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(ResourceChangeListenerInfo listener)`
Add a listener
`boolean`
`equals(Object obj)`
`Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType>`
`getChangeTypes()`
`org.apache.sling.api.resource.path.PathSet`
`getExcludedPaths()`
`List<ResourceChangeListenerInfo>`
`getListeners()`
All listeners associated with this configuration
`org.apache.sling.api.resource.path.PathSet`
`getPaths()`
`Set<String>`
`getPropertyNamesHint()`
`int`
`hashCode()`
`boolean`
`includeExternal()`
`boolean`
`matches(String path)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BasicObserverConfiguration

public BasicObserverConfiguration(org.apache.sling.api.resource.path.PathSet paths, Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType> types, boolean isExternal, org.apache.sling.api.resource.path.PathSet excludePaths, Set<String> propertyNamesHint)

### BasicObserverConfiguration

public BasicObserverConfiguration(org.apache.sling.api.resource.path.PathSet set)

## Method Details

### addListener

public void addListener(ResourceChangeListenerInfo listener)
Add a listener

Parameters:
  `listener` - The listener

### getListeners

public List<ResourceChangeListenerInfo> getListeners()
All listeners associated with this configuration

Returns:
  List of listeners, might be empty

### includeExternal

public boolean includeExternal()

Specified by:
  `includeExternal` in interface `org.apache.sling.spi.resource.provider.ObserverConfiguration`

### getPaths

public org.apache.sling.api.resource.path.PathSet getPaths()

Specified by:
  `getPaths` in interface `org.apache.sling.spi.resource.provider.ObserverConfiguration`

### getExcludedPaths

public org.apache.sling.api.resource.path.PathSet getExcludedPaths()

Specified by:
  `getExcludedPaths` in interface `org.apache.sling.spi.resource.provider.ObserverConfiguration`

### getChangeTypes

public Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType> getChangeTypes()

Specified by:
  `getChangeTypes` in interface `org.apache.sling.spi.resource.provider.ObserverConfiguration`

### matches

public boolean matches(String path)

Specified by:
  `matches` in interface `org.apache.sling.spi.resource.provider.ObserverConfiguration`

### getPropertyNamesHint

public Set<String> getPropertyNamesHint()

Specified by:
  `getPropertyNamesHint` in interface `org.apache.sling.spi.resource.provider.ObserverConfiguration`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`